# Configure Viem

Make sure to include in your chain configuration the correct addresses.&#x20;

{% hint style="warning" %}
Please import Berachain Mainnet directly from viem (**not from wagmi**). Directly use the viem directives like "getEnsName" and "getEnsAddress"
{% endhint %}

```jsx
contracts: {
  ensRegistry: {
    address: '0x5b22280886a2f5e09a49bea7e320eab0e5320e28',
  },
  ensUniversalResolver: {
    address: '0xddfb18888a9466688235887dec2a10c4f5effee9',
  },
}
```

### Special Characters

If your name contains special characters it may not resolve correctly due to ENS/viem standards.

It is still possible to mint, but there may be problems in resolving – we do not recommend using Beranames in these case for sending / receiving funds.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beranames.com/integrate/configure-viem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
